from django.urls import path

from .views import (
    home, create_mood_entry, dashboard, AboutView, ContactView, PrivacyPolicyView, SignUpView, save_mood_entry,
    NoteListView, NoteDetailView, NoteCreateView, NoteUpdateView, NoteDeleteView,
    MissionListView, MissionDetailView, MissionCreateView, MissionUpdateView, MissionDeleteView
)

app_name = 'core'

urlpatterns = [
    path("", home, name="index"),
    path('signup/', SignUpView.as_view(), name='signup'),
    path('mood/new/', create_mood_entry, name='create_mood_entry'),
    path('mood/save/', save_mood_entry, name='save_mood_entry'),
    path('dashboard/', dashboard, name='dashboard'),
    path('about/', AboutView.as_view(), name='about'),
    path('contact/', ContactView.as_view(), name='contact'),
    path('privacy-policy/', PrivacyPolicyView.as_view(), name='privacy_policy'),
    path('notes/', NoteListView.as_view(), name='note_list'),
    path('note/<int:pk>/', NoteDetailView.as_view(), name='note_detail'),
    path('note/new/', NoteCreateView.as_view(), name='note_create'),
    path('note/<int:pk>/edit/', NoteUpdateView.as_view(), name='note_update'),
    path('note/<int:pk>/delete/', NoteDeleteView.as_view(), name='note_delete'),
    path('missions/', MissionListView.as_view(), name='mission_list'),
    path('mission/new/', MissionCreateView.as_view(), name='mission_create'),
    path('mission/<int:pk>/', MissionDetailView.as_view(), name='mission_detail'),
    path('mission/<int:pk>/edit/', MissionUpdateView.as_view(), name='mission_update'),
    path('mission/<int:pk>/delete/', MissionDeleteView.as_view(), name='mission_delete'),
]